Subject: Re: bug#45605: 28.0.50; [macos] could not load dump file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Apr 2022 15:58:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> Binary is built. But in the end of ‘make bootstrap’, and when I run
>> the executable, I get this,
>>
>> desired fingerprint:
>> a34ddd269ef1a8b036d7dc1d011d235ea4a6b4889bc78aa11ed1e593906e85d1
>> found fingerprint:
>> c309a34afb78f953a36914d34d5b85e140ac96638f85a8fbadd4ee287beb52d8
>> emacs: could not load dump file
>> "/Users/pankaj/work/code/savannah/emacs/src/emacs.pdmp": not built
>> for this Emacs executable
>>
>> I built on HEAD -> master -> 0f561ee55348ff451600cc6027db5940ee14606f
>
> I saw this again today (on Catalina) on a "git pull; make -j4
> bootstrap".  The next "make -j4 bootstrap" worked OK, though.

This was a year ago, and I haven't seen this problem in a long while on
Macos, so it might have been fixed in the meantime, I guess?

Pankaj, are you still seeing this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no